{ inputs, outputs, config, pkgs, ... }:

{
  home-manager = {
    useGlobalPkgs = true;
    useUserPackages = true;
    extraSpecialArgs = { inherit inputs outputs; };
    users.rilla = {
      home = {
        packages = [ pkgs.offline-backups ];
        stateVersion = "22.11";
        username = "rilla";
        homeDirectory = "/home/rilla";
      };
      imports = [
        outputs.homeManagerModules.common
        outputs.homeManagerModules.extra
        outputs.homeManagerModules.snapclient
      ];
      snapclient.enable = true;
    };
  };
}
