# common

{ inputs, outputs, lib, config, pkgs, ... }:

{
  programs.home-manager.enable = true;

  imports = [
    ../cheat
    ../fonts
    ../git
    ../gpg
    ../lf
    ../neovim
    ../pass
    ../ssh
    ../tmux
    ../vitetris
    ../xdg
    ../zsh
  ];

  home.packages = with pkgs; [
    R
    ansible
    bind.dnsutils
    docker-compose
    file
    gnumake
    html-tidy
    htop
    inetutils # telnet
    j2cli
    jq
    just
    killall
    kubectl
    mosh
    neofetch
    pandoc
    podman-compose
    pv
    ripgrep
    sassc
    screen
    shellcheck
    signify
    unzip
    wget
  ];

  programs.bat = {
    enable = true;
    config = { theme = "gruvbox-dark"; };
  };

  programs.fzf = {
    enable = true;
    enableZshIntegration = true;
    tmux.enableShellIntegration = true;
  };

  programs.direnv = {
    enable = true;
    enableZshIntegration = true;
    nix-direnv.enable = true;
  };
}
