# extra

{ inputs, outputs, lib, config, pkgs, ... }:

{
  imports = [
    # ./minidisc
    ../arduino
    ../browsers
    ../dav
    ../desktop-river
    ../drawterm
    ../foot
    ../gotify
    ../idasen
    ../mail
    ../maker
    ../mpd
    ../mpd
    ../msg
    ../music
    ../rss
    ../sound
    ../syncthing
    ../theming
    ../wallets
    ../wine
  ];

  home.packages = with pkgs; [
    # calibre
    # pyenv
    # pynitrokey
    inputs.agenix.packages.x86_64-linux.default
    age-plugin-yubikey
    acpi
    android-tools
    gimp
    john
    libnotify
    libreoffice
    lxqt.pcmanfm-qt
    mpv
    networkmanagerapplet
    nextcloud-client
    vagrant
    virt-manager
    virtiofsd
    wl-clipboard
  ];

  # services.kdeconnect = {
  #   enable = true;
  #   indicator = true;
  # };



  services.gnome-keyring = {
    enable = true;
    components = [ "secrets" ];
  };

  services.nextcloud-client = {
    enable = true;
    startInBackground = true;
  };

  dconf.settings = {
    "org/virt-manager/virt-manager/connections" = {
      "autoconnect" = [ "qemu:///system" ];
      "uris" = [ "qemu:///system" ];
    };
  };
}
