{ config, pkgs, ... }:

let
  password-store = "${config.home.homeDirectory}/.password-store";
in
{
  programs.password-store = {
    enable = true;
    package = pkgs.pass.withExtensions (exts: [ exts.pass-otp ]);
    settings = {
      PASSWORD_STORE_DIR = password-store;
      PASSWORD_STORE_KEY = "2E0A7CADFF84D08BA94273AA101F79336E07C850";
    };
  };
  home.packages = [ pkgs.zbar pkgs.gopass ];
  home.file.gopass_config = {
    executable = true;
    target = "${config.xdg.configHome}/gopass/config.yml";
    text = pkgs.lib.generators.toYAML { } {
      autoclip = false;
      autoimport = false;
      cliptimeout = 45;
      exportkeys = true;
      nopager = false;
      notifications = true;
      parsing = true;
      path = password-store;
      safecontent = false;
    };
  };
}
