{ inputs, ... }:

{
  additions = final: prev: import ../pkgs { pkgs = final; };

  modifications = final: prev: {

    # # use lf fork with support for sixel graphics
    # lf = prev.lf.overrideAttrs (old: {
    #   src = prev.fetchFromGitHub {
    #     owner = "horriblename";
    #     repo = "lf";
    #     rev = "8997e5b03772d5628ed6a490777048581d978674";
    #     sha256 = "rJq2Tv3py6HvRI1O2odTdGb1ksdijhO3FcJsPj5dm34=";
    #   };
    # });

    kile-wl = prev.rustPlatform.buildRustPackage rec {
      pname = "kile-wl";
      version = "2023-08-23";
      src = prev.fetchFromGitLab {
        owner = "snakedye";
        repo = "kile";
        rev = "c24208761d04e0a74d203fc1dcd2f7fed68da388";
        sha256 = "sha256-4iclNVd7nm6LkgvsHwWaWyi1bZL/A+bbT5OSXn70bLs=";
      };
      cargoLock = {
        lockFile = src + "/Cargo.lock";
        outputHashes = {
          "kilexpr-0.1.0" =
            "sha256-Bw6vYtzhheAJ8NLQtr3gLjZ9/5ajuABURRYDnVF9W1Y=";
        };
      };
      meta = with prev.lib; {
        description = "A tiling layout generator for river";
        homepage = "https://gitlab.com/snakedye/kile";
        license = licenses.mit;
        platforms =
          platforms.linux; # It's meant for river, a wayland compositor
        mainProgram = "kile";
      };
    };

    ristate = prev.ristate.overrideAttrs (old: rec {
      src = prev.fetchFromGitLab {
        owner = "snakedye";
        repo = "ristate";
        rev = "92e989f26cadac69af1208163733e73b4cf447da";
        sha256 = "sha256-6slH7R6kbSXQBd7q38oBEbngaCbFv0Tyq34VB1PAfhM=";
      };
      cargoDeps = old.cargoDeps.overrideAttrs (prev.lib.const {
        inherit src;
        outputHash = "sha256-fOo9C0dNL9dYy5wXq/yEDqOV0OhOTEY42XK8ShpQh6k=";
      });
    });

  };
}
